Is your Platform Compatible with NAV version 2009 R2? | APPSeCONNECT

Does APPSeCONNECT support NAV version 2009 R2 integration?

Yes, APPSeCONNECT is fully capable of Microsoft Dynamics NAV 2009 R2 integration. Click here to explore Microsoft Dynamics NAV integration.

Latest FAQs